const {
	// Fields Dir
	setGlobalFieldsDirPath,
	setEnablePackageFields,
	loadFromFieldsDir,
	loadFromPackageFieldsDir,
	// Library
	setFieldLibrarySrc,
	library,
	loadFromLibrary,
	LibraryField,
	// Config
	setFieldConfigSrc,
	getConfig,
	config,
	// Id Helper
	getOrCreateId,
	// Field JS Package
	Group,
	Field,
	randomId,
	parseArgs
} = require('../fieldsJs');

/**
 * Exports
 */
module.exports = {
	// Fields Dir
	setGlobalFieldsDirPath,
	setEnablePackageFields,
	loadFromFieldsDir,
	loadFromPackageFieldsDir,
	// Library
	setFieldLibrarySrc,
	library,
	loadFromLibrary,
	LibraryField,
	// Config
	setFieldConfigSrc,
	getConfig,
	config,
	// Id Helper
	getOrCreateId,
	// Global Group
	GlobalGroup : require('../fieldsJs/lib/includes/GlobalGroup'),
	// Field JS Package
	Group,
	Field,
	randomId,
	parseArgs
}