const ready = (fn = () => true) => {document.readyState !== 'loading' ? fn() : document.addEventListener('DOMContentLoaded', fn);}

const scrollPosition = () => ({
	x: window.pageXOffset,
	y: window.pageYOffset | document.body.scrollTop
})

const scrollTop = () => scrollPosition().y;

const isEditingHs = () => (window.hsInEditor === true)

module.exports = {
	ready,
	scrollPosition,
	scrollTop,
	isEditingHs
}