const uniqueArray = (arr, key) => {
	var distinct = [];
	arr.forEach(function (x) {
		if(!distinct.find(i => (i[key] == x[key]))) {
			distinct.push(x);
		}
	});
	return distinct;
}

const shuffledArr = array => array.sort(() => 0.5 - Math.random());

const arrayFirst = (arr) => { 
	var first = [...arr].shift();
	return first
}

exports.uniqueArray = uniqueArray
exports.shuffledArr = shuffledArr
exports.first = arrayFirst

module.exports = {
	uniqueArray,
	shuffledArr,
	first : arrayFirst
}